.c-switch-container {
    display: flex;
    min-height: 2.5rem;
    align-items: center;
    .switch {
        --line: var(--primary);
        --dot: var(--grey-border);
        --circle: var(--success);
        --duration: 0.3s;
        --text: var(--grey-font);
        --circle-width: 1.3rem;

        cursor: pointer;
        height: calc(var(--circle-width) + 0.5rem);
        width:calc(var(--circle-width) * 3);
        margin: 0;
        input {
          display: none;
          & + div {
            position: relative;
            &:before,
            &:after {
              --s: 1.4;
              content: '';
              position: absolute;
              height: 2px;
              top: calc(var(--circle-width) / 2.4);
              width: calc(var(--circle-width) + 1rem);
              background: var(--dot);
              transform: scaleX(var(--s));
              transition: transform var(--duration) ease;
            }
            &:before {
              --s: 0;
              left: 0;
              transform-origin: 0 50%;
              border-radius: 2px 0 0 2px;
            }
            &:after {
              left: var(--circle-width);
              transform-origin: 100% 50%;
              border-radius: 0 2px 2px 0;
            }
            span {
              padding-left: 0px;
              line-height: 15px;
              color: var(--text);
              &:before {
                --x: 0;
                --b: var(--dot);
                --s: 8px;
                content: '';
                position: absolute;
                left: 0;
                top: 0;
                width: var(--circle-width);
                height: var(--circle-width);
                border-radius: 50%;
                box-shadow: inset 0 0 0 var(--s) var(--b);
                transform: translateX(var(--x));
                transition: box-shadow var(--duration) ease,
                  transform var(--duration) ease;
              }
              &:not(:empty) {
                padding-left: 64px;
              }
            }
          }
          &:checked {
            & + div {
              &:before {
                --s: 1.4;
                background: var(--circle);
              }
              &:after {
                --s: 0;
                background: var(--circle);
              }
              span {
                &:before {
                  --x: 21px;
                  --s: 12px;
                  --b: var(--circle);
                }
              }
            }
          }
        }
      }
}
.c-switch-container.disabled {
  cursor: not-allowed !important;
  label{
    cursor: not-allowed !important;

  }
}